#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	openmp
Version		:	12.0.0
Release		:	14.8.0.0%{?dist}
Summary		:	OpenMP runtime for clang

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	NCSA
URL		:	https://github.com/llvm/llvm-project/releases/

Source0		:	%{name}-%{version}.src.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	llvm-devel
BuildRequires	:	llvm-clang-devel

#-----------------------------------------------------------------------------
%description
OpenMP runtime for clang.
 
%files
%defattr(-,root,root,-)
%{_libdir}/libarcher.so
%{_libdir}/libomp.so

#=============================================================================
%package		devel
Summary		:	OpenMP header files

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
OpenMP header files.
	
#-----------------------------------------------------------------------------
%files 			devel
%defattr(-,root,root,-)
%{_includedir}/omp*.h

#=============================================================================
%prep
%setup -q -n %{name}-%{version}.src

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D SYSCONFDIR=%{_sysconfdir}			\
	-D OPENMP_LIBDIR_SUFFIX=			\
	-D CMAKE_SKIP_RPATH:BOOL=ON			\
	-D LIBOMP_INSTALL_ALIASES=OFF 			\
	-D LLVM_DIR=%{_libdir}/cmake/llvm		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
